TANH(3)

NAME
tanh, tanhf, tanhl - hyperbolic tangent function

SYNOPSIS
#include <math.h>

double tanh(double x);

float tanhf(float x);

long double tanhl(long double x);

Link with -lm.

DESCRIPTION
The tanh() function returns the hyperbolic tangent of x, which is defined mathematically as sinh(x) / cosh(x).

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899 (C99). The float and the long double variants are C99 requirements.

SEE ALSO
acosh(3), asinh(3), atanh(3), cosh(3), sinh(3)